
From: Eric Van Hensbergen <ericvh@gmail.com>

Add fd transport support to the documentation and Makefile.

Signed-off-by: Eric Van Hensbergen <ericvh@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/filesystems/v9fs.txt |   11 +++++++++--
 fs/9p/Makefile                     |    1 +
 2 files changed, 10 insertions(+), 2 deletions(-)

diff -puN Documentation/filesystems/v9fs.txt~v9fs-documentation-makefiles-configuration-add-fd-based-transport-to-makefile-docs Documentation/filesystems/v9fs.txt
--- devel/Documentation/filesystems/v9fs.txt~v9fs-documentation-makefiles-configuration-add-fd-based-transport-to-makefile-docs	2005-07-28 11:50:54.000000000 -0700
+++ devel-akpm/Documentation/filesystems/v9fs.txt	2005-07-28 11:50:54.000000000 -0700
@@ -26,8 +26,11 @@ OPTIONS
 =======
 
   proto=name	select an alternative transport.  Valid options are
-  		currently either unix (specifying a named pipe mount
-		point) or tcp (specifying a normal TCP/IP connection)
+  		currently:
+ 			unix - specifying a named pipe mount point
+ 			tcp  - specifying a normal TCP/IP connection
+ 			fd   - used passed file descriptors for connection
+                                (see rfdno and wfdno)
 
   name=name	user name to attempt mount as on the remote server.  The
   		server may override or ignore this value.  Certain user
@@ -46,6 +49,10 @@ OPTIONS
 			0x40 = display transport debug
 			0x80 = display allocation debug
 
+  rfdno=n	the file descriptor for reading with proto=fd
+
+  wfdno=n	the file descriptor for writing with proto=fd
+
   maxdata=n	the number of bytes to use for 9P packet payload (msize)
 
   port=n	port to connect to on the remote server
diff -puN fs/9p/Makefile~v9fs-documentation-makefiles-configuration-add-fd-based-transport-to-makefile-docs fs/9p/Makefile
--- devel/fs/9p/Makefile~v9fs-documentation-makefiles-configuration-add-fd-based-transport-to-makefile-docs	2005-07-28 11:50:54.000000000 -0700
+++ devel-akpm/fs/9p/Makefile	2005-07-28 11:50:54.000000000 -0700
@@ -8,6 +8,7 @@ obj-$(CONFIG_9P_FS) := 9p2000.o
 	vfs_dentry.o \
 	error.o \
 	mux.o \
+	trans_fd.o \
 	trans_sock.o \
 	9p.o \
 	conv.o \
_
